# Partner Get Hotline List

{% hint style="info" %}
**Note**

* Please use [`<api_key>`](/api-etelecom-english/api-integration/partner/account.md)the one eTelecom provided earlier. The base\_url information of the [Partner](/api-etelecom-english/api-integration/partner/account.md).
  {% endhint %}

{% openapi src="/files/98tvgFAALfk6gcxXW2re" path="$BASE\_URL.ETelecom/GetPartnerHotlineList" method="post" %}
[Etelecom.swagger.json](https://1712041776-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FzzTMjVbVjwTuSbEGC7Ya%2Fuploads%2FWUFJEkkaHbapFqmvlAg4%2FEtelecom.swagger.json?alt=media\&token=3bf6fc05-db9d-47eb-a46e-a57b6619adbb)
{% endopenapi %}

**Request:**

```
curl --location 'BASE_URL.Etelecom/GetPartnerHotlineList' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer $API_KEY' \
--data '{
  "paging": {
    "after": "string",
    "before": "string",
    "limit": 0,
    "sort": "string"
  }
}'
```

**Response:**

```
{
  "hotlines": [
    {
      "connection_id": "string",
      "connection_method": "unknown",
      "created_at": "2019-08-24T14:15:22Z",
      "description": "string",
      "hotline": "string",
      "id": "string",
      "is_free_charge": true,
      "name": "string",
      "network": "unknown",
      "owner_id": "string",
      "status": "Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "paging": {
    "after": "string",
    "before": "string",
    "limit": 0,
    "next": "string",
    "prev": "string",
    "sort": "string"
  }
}
```

**Return data attribute structure:**

<table><thead><tr><th width="201">Parameters</th><th width="187">Data type</th><th>Data type</th></tr></thead><tbody><tr><td>connection_id</td><td>string&#x3C;int64></td><td>Session ID</td></tr><tr><td>connection_method</td><td>string</td><td>Connection method</td></tr><tr><td>created_at</td><td>string&#x3C;date-time></td><td>Initialization time</td></tr><tr><td>description</td><td>string</td><td>Hotline description</td></tr><tr><td>hotline</td><td>string&#x3C;int64></td><td>Hotline number</td></tr><tr><td>id</td><td>string&#x3C;int64></td><td>Hotline ID</td></tr><tr><td>is_free_charge</td><td>boolean</td><td><strong><code>true</code></strong>: no balance check when calling <strong><code>false</code></strong>: balance check when calling</td></tr><tr><td>name</td><td>string</td><td>Hotline name</td></tr><tr><td>network</td><td>string</td><td>Network<strong><code>unknown</code></strong> <strong><code>mobifone</code></strong> <strong><code>vinaphone</code></strong> <strong><code>viettel</code></strong> <strong><code>other</code></strong></td></tr><tr><td>owner_id</td><td>string&#x3C;int64></td><td>Manager ID</td></tr><tr><td>status</td><td>string</td><td><p>Status </p><p><strong><code>Z</code></strong>: Newly created </p><p><strong><code>P</code></strong>: Enable </p><p><strong><code>N</code></strong>: Disable</p></td></tr><tr><td>updated_at</td><td>string</td><td>Update date</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.etelecom.vn/api-etelecom-english/api-integration/vpbx/pbx-rest-apis/partner-get-hotline-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
